OracleAppJ2EEWebSite (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppJ2EEWebSite interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppJ2EEWebSite

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface OracleAppJ2EEWebSite

extends J2EEResource

OracleAppJ2EEWebSite

Naming Rules:
  0="domain,name" 1="server,name"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`LogicalContent` | `getDescriptor()`
`int` | `getMaxRequestSize()`
`boolean` | `getOhsRouting()`
`BindAddress` | `getPrimarySAP()`
`java.lang.String` | `getProtocol()`
`boolean` | `getSecure()`
`boolean` | `getUseKeepAlives()`
`java.lang.String` | `getWebSiteDisplayName()`
`boolean` | `hasDescriptor()`
`boolean` | `hasMaxRequestSize()`
`boolean` | `hasOhsRouting()`
`boolean` | `hasPrimarySAP()`
`boolean` | `hasProtocol()`
`boolean` | `hasSecure()`
`boolean` | `hasUseKeepAlives()`
`boolean` | `hasWebSiteDisplayName()`
`void` | `setDescriptor(LogicalContent descriptor)`
`void` | `setMaxRequestSize(int maxRequestSize)`
`void` | `setOhsRouting(boolean ohsRouting)`
`void` | `setPrimarySAP(BindAddress sap)`
`void` | `setProtocol(java.lang.String protocol)`
`void` | `setSecure(boolean secure)`
`void` | `setUseKeepAlives(boolean useKeepAlives)`
`void` | `setWebSiteDisplayName(java.lang.String displayName)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getPrimarySAP

    BindAddress getPrimarySAP()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPrimarySAP

    void setPrimarySAP(BindAddress sap)

### hasPrimarySAP

    boolean hasPrimarySAP()

### getDescriptor

    LogicalContent getDescriptor()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDescriptor

    void setDescriptor(LogicalContent descriptor)

### hasDescriptor

    boolean hasDescriptor()

### getWebSiteDisplayName

    java.lang.String getWebSiteDisplayName()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWebSiteDisplayName

    void setWebSiteDisplayName(java.lang.String displayName)

### hasWebSiteDisplayName

    boolean hasWebSiteDisplayName()

### getMaxRequestSize

    int getMaxRequestSize()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxRequestSize

    void setMaxRequestSize(int maxRequestSize)

### hasMaxRequestSize

    boolean hasMaxRequestSize()

### getOhsRouting

    boolean getOhsRouting()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOhsRouting

    void setOhsRouting(boolean ohsRouting)

### hasOhsRouting

    boolean hasOhsRouting()

### getProtocol

    java.lang.String getProtocol()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProtocol

    void setProtocol(java.lang.String protocol)

### hasProtocol

    boolean hasProtocol()

### getSecure

    boolean getSecure()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSecure

    void setSecure(boolean secure)

### hasSecure

    boolean hasSecure()

### getUseKeepAlives

    boolean getUseKeepAlives()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUseKeepAlives

    void setUseKeepAlives(boolean useKeepAlives)

### hasUseKeepAlives

    boolean hasUseKeepAlives()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD